sample application for financial recording and budgeting expenses made with laravel inertiajs react with ui kit daisy ui, using a sqlite database
You cannot select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
Aji Kamaludin 71c47d456f
Merge pull request #13 from ajikamaludin/dependabot/npm_and_yarn/vite-4.0.5
Bump vite from 4.0.3 to 4.0.5
10 months ago
app redirect back 2 years ago
bootstrap init inertia template 2 years ago
config improve 2 years ago
database UPGRADE LARAVEL 9.45 AND VITE 1 year ago
public UPGRADE LARAVEL 9.45 AND VITE 1 year ago
resources UPGRADE LARAVEL 9.45 AND VITE 1 year ago
routes improve 2 years ago
storage init inertia template 2 years ago
tests init inertia template 2 years ago
.editorconfig init inertia template 2 years ago
.env.example UPGRADE LARAVEL 9.45 AND VITE 1 year ago
.gitattributes init inertia template 2 years ago
.gitignore init inertia template 2 years ago
.htaccess modify 2 years ago
.styleci.yml init inertia template 2 years ago
LICENSE Create LICENSE 2 years ago
README.md UPGRADE LARAVEL 9.45 AND VITE 1 year ago
artisan init inertia template 2 years ago
composer.json UPGRADE LARAVEL 9.45 AND VITE 1 year ago
composer.lock Bump guzzlehttp/psr7 from 2.4.3 to 2.5.0 12 months ago
index.php modify 2 years ago
jsconfig.json summary 2 years ago
package-lock.json Bump vite from 4.0.3 to 4.0.5 10 months ago
package.json Bump vite from 4.0.3 to 4.0.5 10 months ago
phpunit.xml init inertia template 2 years ago
postcss.config.js UPGRADE LARAVEL 9.45 AND VITE 1 year ago
screenshot.png add screenshot 2 years ago
screenshot1.png add screenshot 2 years ago
server.php init inertia template 2 years ago
tailwind.config.js UPGRADE LARAVEL 9.45 AND VITE 1 year ago
vite.config.js UPGRADE LARAVEL 9.45 AND VITE 1 year ago
webpack.config.js init inertia template 2 years ago

README.md

Expense Tracker - Laravel inertiajs

laravel Expense Tracker Example with inertiajs - react with ui kit daisyui

database use sqlite

Support me

Trakteer Saya

Requirements

  • PHP 8.0 or latest

How to run

$ cp .env.example .env
$ composer install
$ php artisan migrate
$ php artisan serve
$ npm install
$ npm run dev # compiling asset for development

Compile Assets ( to prod )

$ npm run build

Screenshot